%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:		jboss-jaspi-1.0-api
Version:	1.0.0
Release:	2%{?dist}
Summary:	JBoss Java Authentication SPI for Containers 1.0 API
Group:		Development/Libraries
License:	LGPLv2+
URL:		http://www.jboss.org

# git clone git://github.com/jboss/jboss-jaspi-api_spec.git
# cd jboss-jaspi-api_spec/ && git archive --format=tar --prefix=jboss-jaspi-1.0-api-1.0.0.Final/ jboss-jaspi-api_1.0_spec-1.0.0.Final | xz > jboss-jaspi-1.0-api-1.0.0.Final.tar.xz
Source0:	%{name}-%{namedversion}.tar.xz

# Patch to fix invalid ASCII chars
Patch0:		%{name}-%{namedversion}-invalid-chars.patch

BuildRequires:	jpackage-utils
BuildRequires:	java-devel
BuildRequires:	maven
BuildRequires:	jboss-logging
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	jboss-specs-parent

Requires:	jboss-specs-parent
Requires:	jpackage-utils
Requires:	java

BuildArch:	noarch

%description
The Java Authentication SPI for Containers 1.0 API classes

%package javadoc
Summary:	Javadocs for %{name}
Group:		Development/Java
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/jboss-jaspi-api_1.0_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sat Jan 27 2012 Ricardo Arguello <ricardo@fedoraproject.org> 1.0.0-2
- Get source from git
- Fixed wrong javadoc copy
- Group changed to Development/Libraries

* Wed Jan 25 2012 Ricardo Arguello <ricardo@fedoraproject.org> 1.0.0-1
- Initial packaging
